<?php
/* @var $this GoogleMapController */
/* @var $model GoogleMap */

$this->breadcrumbs = array(
    'Google Maps' => array('admin'),
    Yii::t('admin', 'Manage'),
);

$this->menu = array(
    array('label' => 'Manage Google Map', 'url' => array('admin')),
    array('label' => 'Create Google Map', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
$('.search-form').toggle();
return false;
});
$('.search-form form').submit(function(){
$('#google-map-grid').yiiGridView('update', {
data: $(this).serialize()
});
return false;
});
");
?>
<div class="page-header">
    <h1>
        <?php echo Yii::t("admin", "Manage Google Maps"); ?>        <?php echo CHtml::link(Yii::t("admin", "Create Google Map"), array("create"), array("class" => "btn btn-sm btn-primary pull-right")); ?>    </h1>
</div>

<!--<p>
You may optionally enter a comparison operator (<b>&lt;</b>, <b>&lt;=</b>, <b>&gt;</b>, <b>&gt;=</b>, <b>&lt;&gt;</b>
or <b>=</b>) at the beginning of each of your search values to specify how the comparison should be done.
</p>-->

<?php echo CHtml::link('Advanced Search', '#', array('class' => 'search-button btn btn-xs')); ?>
<div class="search-form display-none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('ext.widgets.FGridView', array(
    'id' => 'google-map-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        array(
            'name' => 'id',
            'htmlOptions' => array('style' => 'width:50px;'),
        ),
        array(
            'name' => 'title',
            'value' => 'CHtml::link($data->title,array("update","id"=>$data->id))',
            'type' => 'raw',
        ),
        'center_latitude',
        'center_longitude',
//        'background_color',
//        'disable_double_click_zoom',
//        'draggable',
        /*
          'maptype_control',
          'maptype_control_ids',
          'maptype_control_style',
          'maptype_control_position',
          'maptype_id',
          'overview_control',
          'overview_control_opened',
          'pan_control',
          'pan_control_position',
          'rotate_control',
          'rotate_control_position',
          'scale_control',
          'scale_control_position',
          'scrollwheel',
          'zoom',
          'zoom_control',
          'zoom_control_position',
          'zoom_control_style',
          'width',
          'height',
          'html_id',
          'html_class',
          'fit_markers_into_view',
         */
        array(
            'header' => '',
            'value' => 'CHtml::link(Yii::t("admin", "Create Markers"), array("googleMapMarker/create", "map_id" => $data->id,), array("class" => "btn btn-xs btn-primary"))." ".CHtml::link(Yii::t("admin", "Manage Markers"), array("googleMapMarker/admin", "map_id" => $data->id,), array("class" => "btn btn-xs"))',
            'type' => 'html',
        ),
        array(
            'class' => 'CButtonColumn',
            'template' => '{update} {delete}',
        ),
    ),
));
?>
